# coding: utf-8

Gem::Specification.new do |spec|
  spec.name = 'png_comparison'
  spec.version = '1.0.8'
  spec.authors = ['Ivan Pevtsov']
  spec.email = ['ivan.pevtsov@gmail.com']
  spec.license = 'MIT'
  spec.summary = 'This simple program compares two PNG files and outputs the difference file.\
                 Should work on both C and J Ruby. See documentation for more details please.'
  spec.description = File.read(File.join(File.dirname(__FILE__), 'Readme'))
  spec.files = Dir['./lib/png_comparison.rb'] + Dir['./spec/*.rb'] + Dir['Rakefile', 'README', '*.gemspec', 'Gemfile','cli_run.rb']\
                                                                                                       + Dir['./sample_images/*.*']
  spec.require_paths = Dir['lib']
  spec.required_ruby_version = '>=1.9'
  spec.add_runtime_dependency 'chunky_png', '>= 1.3.8'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rspec'
end
